1# Makefile.in generated by automake 1.16.5 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2021 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17#
18#                          __  __            _
19#                       ___\ \/ /_ __   __ _| |_
20#                      / _ \\  /| '_ \ / _` | __|
21#                     |  __//  \| |_) | (_| | |_
22#                      \___/_/\_\ .__/ \__,_|\__|
23#                               |_| XML parser
24#
25# Copyright (c) 2017-2023 Sebastian Pipping <sebastian@pipping.org>
26# Copyright (c) 2017-2022 Rhodri James <rhodri@wildebeest.org.uk>
27# Copyright (c) 2020      Jeffrey Walton <noloader@gmail.com>
28# Licensed under the MIT license:
29#
30# Permission is  hereby granted,  free of charge,  to any  person obtaining
31# a  copy  of  this  software   and  associated  documentation  files  (the
32# "Software"),  to  deal in  the  Software  without restriction,  including
33# without  limitation the  rights  to use,  copy,  modify, merge,  publish,
34# distribute, sublicense, and/or sell copies of the Software, and to permit
35# persons  to whom  the Software  is  furnished to  do so,  subject to  the
36# following conditions:
37#
38# The above copyright  notice and this permission notice  shall be included
39# in all copies or substantial portions of the Software.
40#
41# THE  SOFTWARE  IS  PROVIDED  "AS  IS",  WITHOUT  WARRANTY  OF  ANY  KIND,
42# EXPRESS  OR IMPLIED,  INCLUDING  BUT  NOT LIMITED  TO  THE WARRANTIES  OF
43# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
44# NO EVENT SHALL THE AUTHORS OR  COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
45# DAMAGES OR  OTHER LIABILITY, WHETHER  IN AN  ACTION OF CONTRACT,  TORT OR
46# OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
47# USE OR OTHER DEALINGS IN THE SOFTWARE.
48VPATH = @srcdir@
49am__is_gnu_make = { \
50  if test -z '$(MAKELEVEL)'; then \
51    false; \
52  elif test -n '$(MAKE_HOST)'; then \
53    true; \
54  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
55    true; \
56  else \
57    false; \
58  fi; \
59}
60am__make_running_with_option = \
61  case $${target_option-} in \
62      ?) ;; \
63      *) echo "am__make_running_with_option: internal error: invalid" \
64              "target option '$${target_option-}' specified" >&2; \
65         exit 1;; \
66  esac; \
67  has_opt=no; \
68  sane_makeflags=$$MAKEFLAGS; \
69  if $(am__is_gnu_make); then \
70    sane_makeflags=$$MFLAGS; \
71  else \
72    case $$MAKEFLAGS in \
73      *\\[\ \	]*) \
74        bs=\\; \
75        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
76          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
77    esac; \
78  fi; \
79  skip_next=no; \
80  strip_trailopt () \
81  { \
82    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
83  }; \
84  for flg in $$sane_makeflags; do \
85    test $$skip_next = yes && { skip_next=no; continue; }; \
86    case $$flg in \
87      *=*|--*) continue;; \
88        -*I) strip_trailopt 'I'; skip_next=yes;; \
89      -*I?*) strip_trailopt 'I';; \
90        -*O) strip_trailopt 'O'; skip_next=yes;; \
91      -*O?*) strip_trailopt 'O';; \
92        -*l) strip_trailopt 'l'; skip_next=yes;; \
93      -*l?*) strip_trailopt 'l';; \
94      -[dEDm]) skip_next=yes;; \
95      -[JT]) skip_next=yes;; \
96    esac; \
97    case $$flg in \
98      *$$target_option*) has_opt=yes; break;; \
99    esac; \
100  done; \
101  test $$has_opt = yes
102am__make_dryrun = (target_option=n; $(am__make_running_with_option))
103am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
104pkgdatadir = $(datadir)/@PACKAGE@
105pkgincludedir = $(includedir)/@PACKAGE@
106pkglibdir = $(libdir)/@PACKAGE@
107pkglibexecdir = $(libexecdir)/@PACKAGE@
108am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
109install_sh_DATA = $(install_sh) -c -m 644
110install_sh_PROGRAM = $(install_sh) -c
111install_sh_SCRIPT = $(install_sh) -c
112INSTALL_HEADER = $(INSTALL_DATA)
113transform = $(program_transform_name)
114NORMAL_INSTALL = :
115PRE_INSTALL = :
116POST_INSTALL = :
117NORMAL_UNINSTALL = :
118PRE_UNINSTALL = :
119POST_UNINSTALL = :
120build_triplet = @build@
121host_triplet = @host@
122check_PROGRAMS = runtests$(EXEEXT) runtests_cxx$(EXEEXT)
123TESTS = runtests$(EXEEXT) runtests_cxx$(EXEEXT)
124subdir = tests
125ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
126am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
127	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
128	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
129	$(top_srcdir)/acinclude.m4 \
130	$(top_srcdir)/conftools/ax-require-defined.m4 \
131	$(top_srcdir)/conftools/ax-check-compile-flag.m4 \
132	$(top_srcdir)/conftools/ax-check-link-flag.m4 \
133	$(top_srcdir)/conftools/ax-append-flag.m4 \
134	$(top_srcdir)/conftools/ax-append-compile-flags.m4 \
135	$(top_srcdir)/conftools/ax-append-link-flags.m4 \
136	$(top_srcdir)/conftools/expatcfg-compiler-supports-visibility.m4 \
137	$(top_srcdir)/conftools/ax-cxx-compile-stdcxx.m4 \
138	$(top_srcdir)/conftools/ax-cxx-compile-stdcxx-11.m4 \
139	$(top_srcdir)/configure.ac
140am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
141	$(ACLOCAL_M4)
142DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
143mkinstalldirs = $(install_sh) -d
144CONFIG_HEADER = $(top_builddir)/expat_config.h
145CONFIG_CLEAN_FILES =
146CONFIG_CLEAN_VPATH_FILES =
147am_runtests_OBJECTS = acc_tests.$(OBJEXT) alloc_tests.$(OBJEXT) \
148	basic_tests.$(OBJEXT) chardata.$(OBJEXT) common.$(OBJEXT) \
149	dummy.$(OBJEXT) handlers.$(OBJEXT) memcheck.$(OBJEXT) \
150	minicheck.$(OBJEXT) misc_tests.$(OBJEXT) ns_tests.$(OBJEXT) \
151	nsalloc_tests.$(OBJEXT) runtests.$(OBJEXT) \
152	structdata.$(OBJEXT)
153runtests_OBJECTS = $(am_runtests_OBJECTS)
154runtests_DEPENDENCIES = ../lib/libexpatinternal.la
155AM_V_lt = $(am__v_lt_@AM_V@)
156am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
157am__v_lt_0 = --silent
158am__v_lt_1 = 
159runtests_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
160	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
161	$(runtests_LDFLAGS) $(LDFLAGS) -o $@
162am_runtests_cxx_OBJECTS = acc_tests_cxx.$(OBJEXT) \
163	alloc_tests_cxx.$(OBJEXT) basic_tests_cxx.$(OBJEXT) \
164	chardata_cxx.$(OBJEXT) common_cxx.$(OBJEXT) \
165	dummy_cxx.$(OBJEXT) handlers_cxx.$(OBJEXT) \
166	memcheck_cxx.$(OBJEXT) minicheck_cxx.$(OBJEXT) \
167	misc_tests_cxx.$(OBJEXT) nsalloc_tests_cxx.$(OBJEXT) \
168	ns_tests_cxx.$(OBJEXT) runtests_cxx.$(OBJEXT) \
169	structdata_cxx.$(OBJEXT)
170runtests_cxx_OBJECTS = $(am_runtests_cxx_OBJECTS)
171runtests_cxx_DEPENDENCIES = ../lib/libexpatinternal.la
172runtests_cxx_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
173	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
174	$(CXXFLAGS) $(runtests_cxx_LDFLAGS) $(LDFLAGS) -o $@
175AM_V_P = $(am__v_P_@AM_V@)
176am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
177am__v_P_0 = false
178am__v_P_1 = :
179AM_V_GEN = $(am__v_GEN_@AM_V@)
180am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
181am__v_GEN_0 = @echo "  GEN     " $@;
182am__v_GEN_1 = 
183AM_V_at = $(am__v_at_@AM_V@)
184am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
185am__v_at_0 = @
186am__v_at_1 = 
187DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
188depcomp = $(SHELL) $(top_srcdir)/conftools/depcomp
189am__maybe_remake_depfiles = depfiles
190am__depfiles_remade = ./$(DEPDIR)/acc_tests.Po \
191	./$(DEPDIR)/acc_tests_cxx.Po ./$(DEPDIR)/alloc_tests.Po \
192	./$(DEPDIR)/alloc_tests_cxx.Po ./$(DEPDIR)/basic_tests.Po \
193	./$(DEPDIR)/basic_tests_cxx.Po ./$(DEPDIR)/chardata.Po \
194	./$(DEPDIR)/chardata_cxx.Po ./$(DEPDIR)/common.Po \
195	./$(DEPDIR)/common_cxx.Po ./$(DEPDIR)/dummy.Po \
196	./$(DEPDIR)/dummy_cxx.Po ./$(DEPDIR)/handlers.Po \
197	./$(DEPDIR)/handlers_cxx.Po ./$(DEPDIR)/memcheck.Po \
198	./$(DEPDIR)/memcheck_cxx.Po ./$(DEPDIR)/minicheck.Po \
199	./$(DEPDIR)/minicheck_cxx.Po ./$(DEPDIR)/misc_tests.Po \
200	./$(DEPDIR)/misc_tests_cxx.Po ./$(DEPDIR)/ns_tests.Po \
201	./$(DEPDIR)/ns_tests_cxx.Po ./$(DEPDIR)/nsalloc_tests.Po \
202	./$(DEPDIR)/nsalloc_tests_cxx.Po ./$(DEPDIR)/runtests.Po \
203	./$(DEPDIR)/runtests_cxx.Po ./$(DEPDIR)/structdata.Po \
204	./$(DEPDIR)/structdata_cxx.Po
205am__mv = mv -f
206COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
207	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
208LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
209	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
210	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
211	$(AM_CFLAGS) $(CFLAGS)
212AM_V_CC = $(am__v_CC_@AM_V@)
213am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
214am__v_CC_0 = @echo "  CC      " $@;
215am__v_CC_1 = 
216CCLD = $(CC)
217LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
218	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
219	$(AM_LDFLAGS) $(LDFLAGS) -o $@
220AM_V_CCLD = $(am__v_CCLD_@AM_V@)
221am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
222am__v_CCLD_0 = @echo "  CCLD    " $@;
223am__v_CCLD_1 = 
224CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
225	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
226LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
227	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
228	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
229	$(AM_CXXFLAGS) $(CXXFLAGS)
230AM_V_CXX = $(am__v_CXX_@AM_V@)
231am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
232am__v_CXX_0 = @echo "  CXX     " $@;
233am__v_CXX_1 = 
234CXXLD = $(CXX)
235CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
236	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
237	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
238AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
239am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
240am__v_CXXLD_0 = @echo "  CXXLD   " $@;
241am__v_CXXLD_1 = 
242SOURCES = $(runtests_SOURCES) $(runtests_cxx_SOURCES)
243DIST_SOURCES = $(runtests_SOURCES) $(runtests_cxx_SOURCES)
244RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
245	ctags-recursive dvi-recursive html-recursive info-recursive \
246	install-data-recursive install-dvi-recursive \
247	install-exec-recursive install-html-recursive \
248	install-info-recursive install-pdf-recursive \
249	install-ps-recursive install-recursive installcheck-recursive \
250	installdirs-recursive pdf-recursive ps-recursive \
251	tags-recursive uninstall-recursive
252am__can_run_installinfo = \
253  case $$AM_UPDATE_INFO_DIR in \
254    n|no|NO) false;; \
255    *) (install-info --version) >/dev/null 2>&1;; \
256  esac
257RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
258  distclean-recursive maintainer-clean-recursive
259am__recursive_targets = \
260  $(RECURSIVE_TARGETS) \
261  $(RECURSIVE_CLEAN_TARGETS) \
262  $(am__extra_recursive_targets)
263AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
264	check recheck distdir distdir-am
265am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
266# Read a list of newline-separated strings from the standard input,
267# and print each of them once, without duplicates.  Input order is
268# *not* preserved.
269am__uniquify_input = $(AWK) '\
270  BEGIN { nonempty = 0; } \
271  { items[$$0] = 1; nonempty = 1; } \
272  END { if (nonempty) { for (i in items) print i; }; } \
273'
274# Make sure the list of sources is unique.  This is necessary because,
275# e.g., the same source file might be shared among _SOURCES variables
276# for different programs/libraries.
277am__define_uniq_tagged_files = \
278  list='$(am__tagged_files)'; \
279  unique=`for i in $$list; do \
280    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
281  done | $(am__uniquify_input)`
282am__tty_colors_dummy = \
283  mgn= red= grn= lgn= blu= brg= std=; \
284  am__color_tests=no
285am__tty_colors = { \
286  $(am__tty_colors_dummy); \
287  if test "X$(AM_COLOR_TESTS)" = Xno; then \
288    am__color_tests=no; \
289  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
290    am__color_tests=yes; \
291  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
292    am__color_tests=yes; \
293  fi; \
294  if test $$am__color_tests = yes; then \
295    red='[0;31m'; \
296    grn='[0;32m'; \
297    lgn='[1;32m'; \
298    blu='[1;34m'; \
299    mgn='[0;35m'; \
300    brg='[1m'; \
301    std='[m'; \
302  fi; \
303}
304am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
305am__vpath_adj = case $$p in \
306    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
307    *) f=$$p;; \
308  esac;
309am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
310am__install_max = 40
311am__nobase_strip_setup = \
312  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
313am__nobase_strip = \
314  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
315am__nobase_list = $(am__nobase_strip_setup); \
316  for p in $$list; do echo "$$p $$p"; done | \
317  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
318  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
319    if (++n[$$2] == $(am__install_max)) \
320      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
321    END { for (dir in files) print dir, files[dir] }'
322am__base_list = \
323  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
324  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
325am__uninstall_files_from_dir = { \
326  test -z "$$files" \
327    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
328    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
329         $(am__cd) "$$dir" && rm -f $$files; }; \
330  }
331am__recheck_rx = ^[ 	]*:recheck:[ 	]*
332am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
333am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
334# A command that, given a newline-separated list of test names on the
335# standard input, print the name of the tests that are to be re-run
336# upon "make recheck".
337am__list_recheck_tests = $(AWK) '{ \
338  recheck = 1; \
339  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
340    { \
341      if (rc < 0) \
342        { \
343          if ((getline line2 < ($$0 ".log")) < 0) \
344	    recheck = 0; \
345          break; \
346        } \
347      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
348        { \
349          recheck = 0; \
350          break; \
351        } \
352      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
353        { \
354          break; \
355        } \
356    }; \
357  if (recheck) \
358    print $$0; \
359  close ($$0 ".trs"); \
360  close ($$0 ".log"); \
361}'
362# A command that, given a newline-separated list of test names on the
363# standard input, create the global log from their .trs and .log files.
364am__create_global_log = $(AWK) ' \
365function fatal(msg) \
366{ \
367  print "fatal: making $@: " msg | "cat >&2"; \
368  exit 1; \
369} \
370function rst_section(header) \
371{ \
372  print header; \
373  len = length(header); \
374  for (i = 1; i <= len; i = i + 1) \
375    printf "="; \
376  printf "\n\n"; \
377} \
378{ \
379  copy_in_global_log = 1; \
380  global_test_result = "RUN"; \
381  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
382    { \
383      if (rc < 0) \
384         fatal("failed to read from " $$0 ".trs"); \
385      if (line ~ /$(am__global_test_result_rx)/) \
386        { \
387          sub("$(am__global_test_result_rx)", "", line); \
388          sub("[ 	]*$$", "", line); \
389          global_test_result = line; \
390        } \
391      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
392        copy_in_global_log = 0; \
393    }; \
394  if (copy_in_global_log) \
395    { \
396      rst_section(global_test_result ": " $$0); \
397      while ((rc = (getline line < ($$0 ".log"))) != 0) \
398      { \
399        if (rc < 0) \
400          fatal("failed to read from " $$0 ".log"); \
401        print line; \
402      }; \
403      printf "\n"; \
404    }; \
405  close ($$0 ".trs"); \
406  close ($$0 ".log"); \
407}'
408# Restructured Text title.
409am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
410# Solaris 10 'make', and several other traditional 'make' implementations,
411# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
412# by disabling -e (using the XSI extension "set +e") if it's set.
413am__sh_e_setup = case $$- in *e*) set +e;; esac
414# Default flags passed to test drivers.
415am__common_driver_flags = \
416  --color-tests "$$am__color_tests" \
417  --enable-hard-errors "$$am__enable_hard_errors" \
418  --expect-failure "$$am__expect_failure"
419# To be inserted before the command running the test.  Creates the
420# directory for the log if needed.  Stores in $dir the directory
421# containing $f, in $tst the test, in $log the log.  Executes the
422# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
423# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
424# will run the test scripts (or their associated LOG_COMPILER, if
425# thy have one).
426am__check_pre = \
427$(am__sh_e_setup);					\
428$(am__vpath_adj_setup) $(am__vpath_adj)			\
429$(am__tty_colors);					\
430srcdir=$(srcdir); export srcdir;			\
431case "$@" in						\
432  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
433    *) am__odir=.;; 					\
434esac;							\
435test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
436  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
437if test -f "./$$f"; then dir=./;			\
438elif test -f "$$f"; then dir=;				\
439else dir="$(srcdir)/"; fi;				\
440tst=$$dir$$f; log='$@'; 				\
441if test -n '$(DISABLE_HARD_ERRORS)'; then		\
442  am__enable_hard_errors=no; 				\
443else							\
444  am__enable_hard_errors=yes; 				\
445fi; 							\
446case " $(XFAIL_TESTS) " in				\
447  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
448    am__expect_failure=yes;;				\
449  *)							\
450    am__expect_failure=no;;				\
451esac; 							\
452$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
453# A shell command to get the names of the tests scripts with any registered
454# extension removed (i.e., equivalently, the names of the test logs, with
455# the '.log' extension removed).  The result is saved in the shell variable
456# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
457# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
458# since that might cause problem with VPATH rewrites for suffix-less tests.
459# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
460am__set_TESTS_bases = \
461  bases='$(TEST_LOGS)'; \
462  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
463  bases=`echo $$bases`
464AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
465RECHECK_LOGS = $(TEST_LOGS)
466TEST_SUITE_LOG = test-suite.log
467TEST_EXTENSIONS = @EXEEXT@ .test
468LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
469am__set_b = \
470  case '$@' in \
471    */*) \
472      case '$*' in \
473        */*) b='$*';; \
474          *) b=`echo '$@' | sed 's/\.log$$//'`; \
475       esac;; \
476    *) \
477      b='$*';; \
478  esac
479am__test_logs1 = $(TESTS:=.log)
480am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
481TEST_LOGS = $(am__test_logs2:.test.log=.log)
482TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/conftools/test-driver
483TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
484	$(TEST_LOG_FLAGS)
485DIST_SUBDIRS = $(SUBDIRS)
486am__DIST_COMMON = $(srcdir)/Makefile.in \
487	$(top_srcdir)/conftools/depcomp \
488	$(top_srcdir)/conftools/test-driver
489DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
490am__relativize = \
491  dir0=`pwd`; \
492  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
493  sed_rest='s,^[^/]*/*,,'; \
494  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
495  sed_butlast='s,/*[^/]*$$,,'; \
496  while test -n "$$dir1"; do \
497    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
498    if test "$$first" != "."; then \
499      if test "$$first" = ".."; then \
500        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
501        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
502      else \
503        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
504        if test "$$first2" = "$$first"; then \
505          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
506        else \
507          dir2="../$$dir2"; \
508        fi; \
509        dir0="$$dir0"/"$$first"; \
510      fi; \
511    fi; \
512    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
513  done; \
514  reldir="$$dir2"
515ACLOCAL = @ACLOCAL@
516AMTAR = @AMTAR@
517AM_CFLAGS = @AM_CFLAGS@
518AM_CPPFLAGS = @AM_CPPFLAGS@ -I$(srcdir)/../lib
519AM_CXXFLAGS = @AM_CXXFLAGS@
520AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
521AM_LDFLAGS = @AM_LDFLAGS@
522AR = @AR@
523AS = @AS@
524AUTOCONF = @AUTOCONF@
525AUTOHEADER = @AUTOHEADER@
526AUTOMAKE = @AUTOMAKE@
527AWK = @AWK@
528CC = @CC@
529CCDEPMODE = @CCDEPMODE@
530CFLAGS = @CFLAGS@
531CMAKE_SHARED_LIBRARY_PREFIX = @CMAKE_SHARED_LIBRARY_PREFIX@
532CPPFLAGS = @CPPFLAGS@
533CSCOPE = @CSCOPE@
534CTAGS = @CTAGS@
535CXX = @CXX@
536CXXCPP = @CXXCPP@
537CXXDEPMODE = @CXXDEPMODE@
538CXXFLAGS = @CXXFLAGS@
539CYGPATH_W = @CYGPATH_W@
540DEFS = @DEFS@
541DEPDIR = @DEPDIR@
542DLLTOOL = @DLLTOOL@
543DOCBOOK_TO_MAN = @DOCBOOK_TO_MAN@
544DSYMUTIL = @DSYMUTIL@
545DUMPBIN = @DUMPBIN@
546ECHO_C = @ECHO_C@
547ECHO_N = @ECHO_N@
548ECHO_T = @ECHO_T@
549EGREP = @EGREP@
550ETAGS = @ETAGS@
551EXEEXT = @EXEEXT@
552EXPAT_ATTR_INFO = @EXPAT_ATTR_INFO@
553EXPAT_CHAR_TYPE = @EXPAT_CHAR_TYPE@
554EXPAT_CONTEXT_BYTES = @EXPAT_CONTEXT_BYTES@
555EXPAT_DTD = @EXPAT_DTD@
556EXPAT_LARGE_SIZE = @EXPAT_LARGE_SIZE@
557EXPAT_MIN_SIZE = @EXPAT_MIN_SIZE@
558EXPAT_NS = @EXPAT_NS@
559FGREP = @FGREP@
560FILECMD = @FILECMD@
561FILEMAP = @FILEMAP@
562GREP = @GREP@
563HAVE_CXX11 = @HAVE_CXX11@
564INSTALL = @INSTALL@
565INSTALL_DATA = @INSTALL_DATA@
566INSTALL_PROGRAM = @INSTALL_PROGRAM@
567INSTALL_SCRIPT = @INSTALL_SCRIPT@
568INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
569LD = @LD@
570LDFLAGS = @LDFLAGS@
571LIBAGE = @LIBAGE@
572LIBCURRENT = @LIBCURRENT@
573LIBDIR_BASENAME = @LIBDIR_BASENAME@
574LIBM = @LIBM@
575LIBOBJS = @LIBOBJS@
576LIBREVISION = @LIBREVISION@
577LIBS = @LIBS@
578LIBTOOL = @LIBTOOL@
579LIPO = @LIPO@
580LN_S = @LN_S@
581LTLIBOBJS = @LTLIBOBJS@
582LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
583MAINT = @MAINT@
584MAKEINFO = @MAKEINFO@
585MANIFEST_TOOL = @MANIFEST_TOOL@
586MKDIR_P = @MKDIR_P@
587NM = @NM@
588NMEDIT = @NMEDIT@
589OBJDUMP = @OBJDUMP@
590OBJEXT = @OBJEXT@
591OTOOL = @OTOOL@
592OTOOL64 = @OTOOL64@
593PACKAGE = @PACKAGE@
594PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
595PACKAGE_NAME = @PACKAGE_NAME@
596PACKAGE_STRING = @PACKAGE_STRING@
597PACKAGE_TARNAME = @PACKAGE_TARNAME@
598PACKAGE_URL = @PACKAGE_URL@
599PACKAGE_VERSION = @PACKAGE_VERSION@
600PATH_SEPARATOR = @PATH_SEPARATOR@
601RANLIB = @RANLIB@
602SED = @SED@
603SET_MAKE = @SET_MAKE@
604SHELL = @SHELL@
605SO_MAJOR = @SO_MAJOR@
606SO_MINOR = @SO_MINOR@
607SO_PATCH = @SO_PATCH@
608STRIP = @STRIP@
609VERSION = @VERSION@
610abs_builddir = @abs_builddir@
611abs_srcdir = @abs_srcdir@
612abs_top_builddir = @abs_top_builddir@
613abs_top_srcdir = @abs_top_srcdir@
614ac_ct_AR = @ac_ct_AR@
615ac_ct_CC = @ac_ct_CC@
616ac_ct_CXX = @ac_ct_CXX@
617ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
618ac_cv_sizeof_void_p = @ac_cv_sizeof_void_p@
619am__include = @am__include@
620am__leading_dot = @am__leading_dot@
621am__quote = @am__quote@
622am__tar = @am__tar@
623am__untar = @am__untar@
624bindir = @bindir@
625build = @build@
626build_alias = @build_alias@
627build_cpu = @build_cpu@
628build_os = @build_os@
629build_vendor = @build_vendor@
630builddir = @builddir@
631datadir = @datadir@
632datarootdir = @datarootdir@
633docdir = @docdir@
634dvidir = @dvidir@
635exec_prefix = @exec_prefix@
636host = @host@
637host_alias = @host_alias@
638host_cpu = @host_cpu@
639host_os = @host_os@
640host_vendor = @host_vendor@
641htmldir = @htmldir@
642includedir = @includedir@
643infodir = @infodir@
644install_sh = @install_sh@
645libdir = @libdir@
646libexecdir = @libexecdir@
647localedir = @localedir@
648localstatedir = @localstatedir@
649mandir = @mandir@
650mkdir_p = @mkdir_p@
651oldincludedir = @oldincludedir@
652pdfdir = @pdfdir@
653prefix = @prefix@
654program_transform_name = @program_transform_name@
655psdir = @psdir@
656runstatedir = @runstatedir@
657sbindir = @sbindir@
658sharedstatedir = @sharedstatedir@
659srcdir = @srcdir@
660sysconfdir = @sysconfdir@
661target_alias = @target_alias@
662top_build_prefix = @top_build_prefix@
663top_builddir = @top_builddir@
664top_srcdir = @top_srcdir@
665SUBDIRS = . benchmark
666
667# To support MinGW and Non-MinGW at the same time:
668LOG_DRIVER = $(srcdir)/../test-driver-wrapper.sh
669runtests_SOURCES = \
670    acc_tests.c \
671    alloc_tests.c \
672    basic_tests.c \
673    chardata.c \
674    common.c \
675    dummy.c \
676    handlers.c \
677    memcheck.c \
678    minicheck.c \
679    misc_tests.c \
680    ns_tests.c \
681    nsalloc_tests.c \
682    runtests.c \
683    structdata.c
684
685runtests_cxx_SOURCES = \
686    acc_tests_cxx.cpp \
687    alloc_tests_cxx.cpp \
688    basic_tests_cxx.cpp \
689    chardata_cxx.cpp \
690    common_cxx.cpp \
691    dummy_cxx.cpp \
692    handlers_cxx.cpp \
693    memcheck_cxx.cpp \
694    minicheck_cxx.cpp \
695    misc_tests_cxx.cpp \
696    nsalloc_tests_cxx.cpp \
697    ns_tests_cxx.cpp \
698    runtests_cxx.cpp \
699    structdata_cxx.cpp
700
701runtests_LDADD = ../lib/libexpatinternal.la
702runtests_cxx_LDADD = ../lib/libexpatinternal.la
703runtests_LDFLAGS = @AM_LDFLAGS@ @LIBM@
704runtests_cxx_LDFLAGS = @AM_LDFLAGS@ @LIBM@
705EXTRA_DIST = \
706    acc_tests.h \
707    alloc_tests.h \
708    basic_tests.h \
709    chardata.h \
710    common.h \
711    dummy.h \
712    handlers.h \
713    misc_tests.h \
714    ns_tests.h \
715    nsalloc_tests.h \
716    structdata.h \
717    minicheck.h \
718    memcheck.h \
719    README.txt \
720    udiffer.py \
721    xmltest.log.expected \
722    xmltest.sh
723
724all: all-recursive
725
726.SUFFIXES:
727.SUFFIXES: .c .cpp .lo .log .o .obj .test .test$(EXEEXT) .trs
728$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
729	@for dep in $?; do \
730	  case '$(am__configure_deps)' in \
731	    *$$dep*) \
732	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
733	        && { if test -f $@; then exit 0; else break; fi; }; \
734	      exit 1;; \
735	  esac; \
736	done; \
737	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
738	$(am__cd) $(top_srcdir) && \
739	  $(AUTOMAKE) --gnu tests/Makefile
740Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
741	@case '$?' in \
742	  *config.status*) \
743	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
744	  *) \
745	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
746	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
747	esac;
748
749$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
750	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
751
752$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
753	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
754$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
755	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
756$(am__aclocal_m4_deps):
757
758clean-checkPROGRAMS:
759	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
760	echo " rm -f" $$list; \
761	rm -f $$list || exit $$?; \
762	test -n "$(EXEEXT)" || exit 0; \
763	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
764	echo " rm -f" $$list; \
765	rm -f $$list
766
767runtests$(EXEEXT): $(runtests_OBJECTS) $(runtests_DEPENDENCIES) $(EXTRA_runtests_DEPENDENCIES) 
768	@rm -f runtests$(EXEEXT)
769	$(AM_V_CCLD)$(runtests_LINK) $(runtests_OBJECTS) $(runtests_LDADD) $(LIBS)
770
771runtests_cxx$(EXEEXT): $(runtests_cxx_OBJECTS) $(runtests_cxx_DEPENDENCIES) $(EXTRA_runtests_cxx_DEPENDENCIES) 
772	@rm -f runtests_cxx$(EXEEXT)
773	$(AM_V_CXXLD)$(runtests_cxx_LINK) $(runtests_cxx_OBJECTS) $(runtests_cxx_LDADD) $(LIBS)
774
775mostlyclean-compile:
776	-rm -f *.$(OBJEXT)
777
778distclean-compile:
779	-rm -f *.tab.c
780
781@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/acc_tests.Po@am__quote@ # am--include-marker
782@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/acc_tests_cxx.Po@am__quote@ # am--include-marker
783@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alloc_tests.Po@am__quote@ # am--include-marker
784@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alloc_tests_cxx.Po@am__quote@ # am--include-marker
785@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basic_tests.Po@am__quote@ # am--include-marker
786@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basic_tests_cxx.Po@am__quote@ # am--include-marker
787@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chardata.Po@am__quote@ # am--include-marker
788@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chardata_cxx.Po@am__quote@ # am--include-marker
789@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/common.Po@am__quote@ # am--include-marker
790@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/common_cxx.Po@am__quote@ # am--include-marker
791@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dummy.Po@am__quote@ # am--include-marker
792@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dummy_cxx.Po@am__quote@ # am--include-marker
793@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/handlers.Po@am__quote@ # am--include-marker
794@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/handlers_cxx.Po@am__quote@ # am--include-marker
795@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/memcheck.Po@am__quote@ # am--include-marker
796@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/memcheck_cxx.Po@am__quote@ # am--include-marker
797@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/minicheck.Po@am__quote@ # am--include-marker
798@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/minicheck_cxx.Po@am__quote@ # am--include-marker
799@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/misc_tests.Po@am__quote@ # am--include-marker
800@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/misc_tests_cxx.Po@am__quote@ # am--include-marker
801@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ns_tests.Po@am__quote@ # am--include-marker
802@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ns_tests_cxx.Po@am__quote@ # am--include-marker
803@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nsalloc_tests.Po@am__quote@ # am--include-marker
804@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nsalloc_tests_cxx.Po@am__quote@ # am--include-marker
805@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/runtests.Po@am__quote@ # am--include-marker
806@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/runtests_cxx.Po@am__quote@ # am--include-marker
807@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/structdata.Po@am__quote@ # am--include-marker
808@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/structdata_cxx.Po@am__quote@ # am--include-marker
809
810$(am__depfiles_remade):
811	@$(MKDIR_P) $(@D)
812	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
813
814am--depfiles: $(am__depfiles_remade)
815
816.c.o:
817@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
818@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
819@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
820@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
821@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
822
823.c.obj:
824@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
825@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
826@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
827@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
828@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
829
830.c.lo:
831@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
832@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
833@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
834@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
835@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
836
837.cpp.o:
838@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
839@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
840@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
841@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
842@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
843
844.cpp.obj:
845@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
846@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
847@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
848@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
849@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
850
851.cpp.lo:
852@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
853@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
854@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
855@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
856@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
857
858mostlyclean-libtool:
859	-rm -f *.lo
860
861clean-libtool:
862	-rm -rf .libs _libs
863
864# This directory's subdirectories are mostly independent; you can cd
865# into them and run 'make' without going through this Makefile.
866# To change the values of 'make' variables: instead of editing Makefiles,
867# (1) if the variable is set in 'config.status', edit 'config.status'
868#     (which will cause the Makefiles to be regenerated when you run 'make');
869# (2) otherwise, pass the desired values on the 'make' command line.
870$(am__recursive_targets):
871	@fail=; \
872	if $(am__make_keepgoing); then \
873	  failcom='fail=yes'; \
874	else \
875	  failcom='exit 1'; \
876	fi; \
877	dot_seen=no; \
878	target=`echo $@ | sed s/-recursive//`; \
879	case "$@" in \
880	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
881	  *) list='$(SUBDIRS)' ;; \
882	esac; \
883	for subdir in $$list; do \
884	  echo "Making $$target in $$subdir"; \
885	  if test "$$subdir" = "."; then \
886	    dot_seen=yes; \
887	    local_target="$$target-am"; \
888	  else \
889	    local_target="$$target"; \
890	  fi; \
891	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
892	  || eval $$failcom; \
893	done; \
894	if test "$$dot_seen" = "no"; then \
895	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
896	fi; test -z "$$fail"
897
898ID: $(am__tagged_files)
899	$(am__define_uniq_tagged_files); mkid -fID $$unique
900tags: tags-recursive
901TAGS: tags
902
903tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
904	set x; \
905	here=`pwd`; \
906	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
907	  include_option=--etags-include; \
908	  empty_fix=.; \
909	else \
910	  include_option=--include; \
911	  empty_fix=; \
912	fi; \
913	list='$(SUBDIRS)'; for subdir in $$list; do \
914	  if test "$$subdir" = .; then :; else \
915	    test ! -f $$subdir/TAGS || \
916	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
917	  fi; \
918	done; \
919	$(am__define_uniq_tagged_files); \
920	shift; \
921	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
922	  test -n "$$unique" || unique=$$empty_fix; \
923	  if test $$# -gt 0; then \
924	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
925	      "$$@" $$unique; \
926	  else \
927	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
928	      $$unique; \
929	  fi; \
930	fi
931ctags: ctags-recursive
932
933CTAGS: ctags
934ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
935	$(am__define_uniq_tagged_files); \
936	test -z "$(CTAGS_ARGS)$$unique" \
937	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
938	     $$unique
939
940GTAGS:
941	here=`$(am__cd) $(top_builddir) && pwd` \
942	  && $(am__cd) $(top_srcdir) \
943	  && gtags -i $(GTAGS_ARGS) "$$here"
944cscopelist: cscopelist-recursive
945
946cscopelist-am: $(am__tagged_files)
947	list='$(am__tagged_files)'; \
948	case "$(srcdir)" in \
949	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
950	  *) sdir=$(subdir)/$(srcdir) ;; \
951	esac; \
952	for i in $$list; do \
953	  if test -f "$$i"; then \
954	    echo "$(subdir)/$$i"; \
955	  else \
956	    echo "$$sdir/$$i"; \
957	  fi; \
958	done >> $(top_builddir)/cscope.files
959
960distclean-tags:
961	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
962
963# Recover from deleted '.trs' file; this should ensure that
964# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
965# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
966# to avoid problems with "make -n".
967.log.trs:
968	rm -f $< $@
969	$(MAKE) $(AM_MAKEFLAGS) $<
970
971# Leading 'am--fnord' is there to ensure the list of targets does not
972# expand to empty, as could happen e.g. with make check TESTS=''.
973am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
974am--force-recheck:
975	@:
976
977$(TEST_SUITE_LOG): $(TEST_LOGS)
978	@$(am__set_TESTS_bases); \
979	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
980	redo_bases=`for i in $$bases; do \
981	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
982	            done`; \
983	if test -n "$$redo_bases"; then \
984	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
985	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
986	  if $(am__make_dryrun); then :; else \
987	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
988	  fi; \
989	fi; \
990	if test -n "$$am__remaking_logs"; then \
991	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
992	       "recursion detected" >&2; \
993	elif test -n "$$redo_logs"; then \
994	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
995	fi; \
996	if $(am__make_dryrun); then :; else \
997	  st=0;  \
998	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
999	  for i in $$redo_bases; do \
1000	    test -f $$i.trs && test -r $$i.trs \
1001	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1002	    test -f $$i.log && test -r $$i.log \
1003	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1004	  done; \
1005	  test $$st -eq 0 || exit 1; \
1006	fi
1007	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1008	ws='[ 	]'; \
1009	results=`for b in $$bases; do echo $$b.trs; done`; \
1010	test -n "$$results" || results=/dev/null; \
1011	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1012	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1013	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1014	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1015	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1016	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1017	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1018	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1019	  success=true; \
1020	else \
1021	  success=false; \
1022	fi; \
1023	br='==================='; br=$$br$$br$$br$$br; \
1024	result_count () \
1025	{ \
1026	    if test x"$$1" = x"--maybe-color"; then \
1027	      maybe_colorize=yes; \
1028	    elif test x"$$1" = x"--no-color"; then \
1029	      maybe_colorize=no; \
1030	    else \
1031	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1032	    fi; \
1033	    shift; \
1034	    desc=$$1 count=$$2; \
1035	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
1036	      color_start=$$3 color_end=$$std; \
1037	    else \
1038	      color_start= color_end=; \
1039	    fi; \
1040	    echo "$${color_start}# $$desc $$count$${color_end}"; \
1041	}; \
1042	create_testsuite_report () \
1043	{ \
1044	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
1045	  result_count $$1 "PASS: " $$pass  "$$grn"; \
1046	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
1047	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1048	  result_count $$1 "FAIL: " $$fail  "$$red"; \
1049	  result_count $$1 "XPASS:" $$xpass "$$red"; \
1050	  result_count $$1 "ERROR:" $$error "$$mgn"; \
1051	}; \
1052	{								\
1053	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
1054	    $(am__rst_title);						\
1055	  create_testsuite_report --no-color;				\
1056	  echo;								\
1057	  echo ".. contents:: :depth: 2";				\
1058	  echo;								\
1059	  for b in $$bases; do echo $$b; done				\
1060	    | $(am__create_global_log);					\
1061	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
1062	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
1063	if $$success; then						\
1064	  col="$$grn";							\
1065	 else								\
1066	  col="$$red";							\
1067	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
1068	fi;								\
1069	echo "$${col}$$br$${std}"; 					\
1070	echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}";	\
1071	echo "$${col}$$br$${std}"; 					\
1072	create_testsuite_report --maybe-color;				\
1073	echo "$$col$$br$$std";						\
1074	if $$success; then :; else					\
1075	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
1076	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
1077	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
1078	  fi;								\
1079	  echo "$$col$$br$$std";					\
1080	fi;								\
1081	$$success || exit 1
1082
1083check-TESTS: $(check_PROGRAMS)
1084	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1085	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1086	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1087	@set +e; $(am__set_TESTS_bases); \
1088	log_list=`for i in $$bases; do echo $$i.log; done`; \
1089	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1090	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1091	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1092	exit $$?;
1093recheck: all $(check_PROGRAMS)
1094	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1095	@set +e; $(am__set_TESTS_bases); \
1096	bases=`for i in $$bases; do echo $$i; done \
1097	         | $(am__list_recheck_tests)` || exit 1; \
1098	log_list=`for i in $$bases; do echo $$i.log; done`; \
1099	log_list=`echo $$log_list`; \
1100	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1101	        am__force_recheck=am--force-recheck \
1102	        TEST_LOGS="$$log_list"; \
1103	exit $$?
1104runtests.log: runtests$(EXEEXT)
1105	@p='runtests$(EXEEXT)'; \
1106	b='runtests'; \
1107	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1108	--log-file $$b.log --trs-file $$b.trs \
1109	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1110	"$$tst" $(AM_TESTS_FD_REDIRECT)
1111runtests_cxx.log: runtests_cxx$(EXEEXT)
1112	@p='runtests_cxx$(EXEEXT)'; \
1113	b='runtests_cxx'; \
1114	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1115	--log-file $$b.log --trs-file $$b.trs \
1116	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1117	"$$tst" $(AM_TESTS_FD_REDIRECT)
1118.test.log:
1119	@p='$<'; \
1120	$(am__set_b); \
1121	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1122	--log-file $$b.log --trs-file $$b.trs \
1123	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1124	"$$tst" $(AM_TESTS_FD_REDIRECT)
1125@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1126@am__EXEEXT_TRUE@	@p='$<'; \
1127@am__EXEEXT_TRUE@	$(am__set_b); \
1128@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1129@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1130@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1131@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1132distdir: $(BUILT_SOURCES)
1133	$(MAKE) $(AM_MAKEFLAGS) distdir-am
1134
1135distdir-am: $(DISTFILES)
1136	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1137	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1138	list='$(DISTFILES)'; \
1139	  dist_files=`for file in $$list; do echo $$file; done | \
1140	  sed -e "s|^$$srcdirstrip/||;t" \
1141	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1142	case $$dist_files in \
1143	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1144			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1145			   sort -u` ;; \
1146	esac; \
1147	for file in $$dist_files; do \
1148	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1149	  if test -d $$d/$$file; then \
1150	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1151	    if test -d "$(distdir)/$$file"; then \
1152	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1153	    fi; \
1154	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1155	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1156	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1157	    fi; \
1158	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1159	  else \
1160	    test -f "$(distdir)/$$file" \
1161	    || cp -p $$d/$$file "$(distdir)/$$file" \
1162	    || exit 1; \
1163	  fi; \
1164	done
1165	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1166	  if test "$$subdir" = .; then :; else \
1167	    $(am__make_dryrun) \
1168	      || test -d "$(distdir)/$$subdir" \
1169	      || $(MKDIR_P) "$(distdir)/$$subdir" \
1170	      || exit 1; \
1171	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1172	    $(am__relativize); \
1173	    new_distdir=$$reldir; \
1174	    dir1=$$subdir; dir2="$(top_distdir)"; \
1175	    $(am__relativize); \
1176	    new_top_distdir=$$reldir; \
1177	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1178	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1179	    ($(am__cd) $$subdir && \
1180	      $(MAKE) $(AM_MAKEFLAGS) \
1181	        top_distdir="$$new_top_distdir" \
1182	        distdir="$$new_distdir" \
1183		am__remove_distdir=: \
1184		am__skip_length_check=: \
1185		am__skip_mode_fix=: \
1186	        distdir) \
1187	      || exit 1; \
1188	  fi; \
1189	done
1190check-am: all-am
1191	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1192	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1193check: check-recursive
1194all-am: Makefile
1195installdirs: installdirs-recursive
1196installdirs-am:
1197install: install-recursive
1198install-exec: install-exec-recursive
1199install-data: install-data-recursive
1200uninstall: uninstall-recursive
1201
1202install-am: all-am
1203	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1204
1205installcheck: installcheck-recursive
1206install-strip:
1207	if test -z '$(STRIP)'; then \
1208	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1209	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1210	      install; \
1211	else \
1212	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1213	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1214	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1215	fi
1216mostlyclean-generic:
1217	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1218	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1219	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1220
1221clean-generic:
1222
1223distclean-generic:
1224	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1225	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1226
1227maintainer-clean-generic:
1228	@echo "This command is intended for maintainers to use"
1229	@echo "it deletes files that may require special tools to rebuild."
1230clean: clean-recursive
1231
1232clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1233	mostlyclean-am
1234
1235distclean: distclean-recursive
1236		-rm -f ./$(DEPDIR)/acc_tests.Po
1237	-rm -f ./$(DEPDIR)/acc_tests_cxx.Po
1238	-rm -f ./$(DEPDIR)/alloc_tests.Po
1239	-rm -f ./$(DEPDIR)/alloc_tests_cxx.Po
1240	-rm -f ./$(DEPDIR)/basic_tests.Po
1241	-rm -f ./$(DEPDIR)/basic_tests_cxx.Po
1242	-rm -f ./$(DEPDIR)/chardata.Po
1243	-rm -f ./$(DEPDIR)/chardata_cxx.Po
1244	-rm -f ./$(DEPDIR)/common.Po
1245	-rm -f ./$(DEPDIR)/common_cxx.Po
1246	-rm -f ./$(DEPDIR)/dummy.Po
1247	-rm -f ./$(DEPDIR)/dummy_cxx.Po
1248	-rm -f ./$(DEPDIR)/handlers.Po
1249	-rm -f ./$(DEPDIR)/handlers_cxx.Po
1250	-rm -f ./$(DEPDIR)/memcheck.Po
1251	-rm -f ./$(DEPDIR)/memcheck_cxx.Po
1252	-rm -f ./$(DEPDIR)/minicheck.Po
1253	-rm -f ./$(DEPDIR)/minicheck_cxx.Po
1254	-rm -f ./$(DEPDIR)/misc_tests.Po
1255	-rm -f ./$(DEPDIR)/misc_tests_cxx.Po
1256	-rm -f ./$(DEPDIR)/ns_tests.Po
1257	-rm -f ./$(DEPDIR)/ns_tests_cxx.Po
1258	-rm -f ./$(DEPDIR)/nsalloc_tests.Po
1259	-rm -f ./$(DEPDIR)/nsalloc_tests_cxx.Po
1260	-rm -f ./$(DEPDIR)/runtests.Po
1261	-rm -f ./$(DEPDIR)/runtests_cxx.Po
1262	-rm -f ./$(DEPDIR)/structdata.Po
1263	-rm -f ./$(DEPDIR)/structdata_cxx.Po
1264	-rm -f Makefile
1265distclean-am: clean-am distclean-compile distclean-generic \
1266	distclean-tags
1267
1268dvi: dvi-recursive
1269
1270dvi-am:
1271
1272html: html-recursive
1273
1274html-am:
1275
1276info: info-recursive
1277
1278info-am:
1279
1280install-data-am:
1281
1282install-dvi: install-dvi-recursive
1283
1284install-dvi-am:
1285
1286install-exec-am:
1287
1288install-html: install-html-recursive
1289
1290install-html-am:
1291
1292install-info: install-info-recursive
1293
1294install-info-am:
1295
1296install-man:
1297
1298install-pdf: install-pdf-recursive
1299
1300install-pdf-am:
1301
1302install-ps: install-ps-recursive
1303
1304install-ps-am:
1305
1306installcheck-am:
1307
1308maintainer-clean: maintainer-clean-recursive
1309		-rm -f ./$(DEPDIR)/acc_tests.Po
1310	-rm -f ./$(DEPDIR)/acc_tests_cxx.Po
1311	-rm -f ./$(DEPDIR)/alloc_tests.Po
1312	-rm -f ./$(DEPDIR)/alloc_tests_cxx.Po
1313	-rm -f ./$(DEPDIR)/basic_tests.Po
1314	-rm -f ./$(DEPDIR)/basic_tests_cxx.Po
1315	-rm -f ./$(DEPDIR)/chardata.Po
1316	-rm -f ./$(DEPDIR)/chardata_cxx.Po
1317	-rm -f ./$(DEPDIR)/common.Po
1318	-rm -f ./$(DEPDIR)/common_cxx.Po
1319	-rm -f ./$(DEPDIR)/dummy.Po
1320	-rm -f ./$(DEPDIR)/dummy_cxx.Po
1321	-rm -f ./$(DEPDIR)/handlers.Po
1322	-rm -f ./$(DEPDIR)/handlers_cxx.Po
1323	-rm -f ./$(DEPDIR)/memcheck.Po
1324	-rm -f ./$(DEPDIR)/memcheck_cxx.Po
1325	-rm -f ./$(DEPDIR)/minicheck.Po
1326	-rm -f ./$(DEPDIR)/minicheck_cxx.Po
1327	-rm -f ./$(DEPDIR)/misc_tests.Po
1328	-rm -f ./$(DEPDIR)/misc_tests_cxx.Po
1329	-rm -f ./$(DEPDIR)/ns_tests.Po
1330	-rm -f ./$(DEPDIR)/ns_tests_cxx.Po
1331	-rm -f ./$(DEPDIR)/nsalloc_tests.Po
1332	-rm -f ./$(DEPDIR)/nsalloc_tests_cxx.Po
1333	-rm -f ./$(DEPDIR)/runtests.Po
1334	-rm -f ./$(DEPDIR)/runtests_cxx.Po
1335	-rm -f ./$(DEPDIR)/structdata.Po
1336	-rm -f ./$(DEPDIR)/structdata_cxx.Po
1337	-rm -f Makefile
1338maintainer-clean-am: distclean-am maintainer-clean-generic
1339
1340mostlyclean: mostlyclean-recursive
1341
1342mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1343	mostlyclean-libtool
1344
1345pdf: pdf-recursive
1346
1347pdf-am:
1348
1349ps: ps-recursive
1350
1351ps-am:
1352
1353uninstall-am:
1354
1355.MAKE: $(am__recursive_targets) check-am install-am install-strip
1356
1357.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1358	am--depfiles check check-TESTS check-am clean \
1359	clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
1360	ctags ctags-am distclean distclean-compile distclean-generic \
1361	distclean-libtool distclean-tags distdir dvi dvi-am html \
1362	html-am info info-am install install-am install-data \
1363	install-data-am install-dvi install-dvi-am install-exec \
1364	install-exec-am install-html install-html-am install-info \
1365	install-info-am install-man install-pdf install-pdf-am \
1366	install-ps install-ps-am install-strip installcheck \
1367	installcheck-am installdirs installdirs-am maintainer-clean \
1368	maintainer-clean-generic mostlyclean mostlyclean-compile \
1369	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1370	recheck tags tags-am uninstall uninstall-am
1371
1372.PRECIOUS: Makefile
1373
1374
1375# Tell versions [3.59,3.63) of GNU make to not export all variables.
1376# Otherwise a system limit (for SysV at least) may be exceeded.
1377.NOEXPORT:
1378